Bug 882345 - CVE-2012-5391 mediawiki: Vulnerable to session fixation attacks [epel-5]
CVE-2012-5391 mediawiki: Vulnerable to session fixation attacks [epel-5]
Status: CLOSED CANTFIX
Product: Fedora EPEL
Classification: Fedora
Component: mediawiki (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-5391
  Show dependency treegraph
 
Reported: 2012-11-30 12:50 EST by Jan Lieskovsky
Modified: 2013-05-08 15:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 15:55:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-30 12:50:17 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-5 tracking bug for mediawiki: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2012-11-30 12:50:26 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=882325,882345
Comment 2 Patrick Uiterwijk 2013-04-19 04:31:45 EDT
The EPEL-5 branch of mediawiki is currently orphaned.
The latest version in EPEL-5 is 1.14.0-45.
I believe it should be deprecated even, but do you still want this package to be updated?
Comment 3 Jan Lieskovsky 2013-05-07 07:30:41 EDT
(In reply to comment #2)

Hi Patrick,

> The EPEL-5 branch of mediawiki is currently orphaned.
> The latest version in EPEL-5 is 1.14.0-45.
> I believe it should be deprecated even, but do you still want this package
> to be updated?

Sure if it would be possible, as I am not sure the fact there is mediawiki116 in Fedora EPEL-5 is sufficient for the users not to try to install (and use) the older version.

If you wouldn't have time / wouldn't want to backport that fix, at least build the mediawiki116 package for Fedora EPEL-5 as obsoleting mediawiki (so if mediawiki install would be requested, mediawiki116 would be installed in fact).

Thank you && Regards, Jan.
Comment 4 Patrick Uiterwijk 2013-05-08 15:55:20 EDT
I asked the mediawiki116 maintainer, and this cannot be done: PHP for EPEL is too old to support mediawiki 1.16

Note You need to log in before you can comment on or make changes to this bug.